Bug 456828 - Review Request: libasyncns - Asynchronous Name Service Library
Review Request: libasyncns - Asynchronous Name Service Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
: 459896 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 17:53 EDT by Lennart Poettering
Modified: 2008-08-24 17:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 09:59:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2008-07-27 17:53:14 EDT
Spec URL: http://0pointer.de/public/libasyncns.spec
SRPM URL: http://0pointer.de/public/libasyncns-0.4-1.fc10.src.rpm
Description: 

libasyncns is a C library for Linux/Unix for executing name service queries asynchronously. It is an asynchronous wrapper around getaddrinfo(3), getnameinfo(3), res_query(3) and res_search(3) from libc and libresolv.

In contrast to GNU's asynchronous name resolving API getaddrinfo_a(), libasyncns does not make use of UNIX signals for reporting completion of name queries. Instead, the API exports a standard UNIX file descriptor which may be integerated cleanly into custom main loops.

In contrast to asynchronous DNS resolving libraries like libdenise, skadns, adns, libasyncns is just an asynchronous wrapper around the libc's synchronous getaddrinfo() API, which has the advantage of allowing name resolution using techniques like Multicast DNS, LDAP or NIS using standard libc NSS (Name Service Switch) modules. libasyncns is compatible with IPv6 if the underlying libc is.

This has been a recommended (though optional) PulseAudio dependency for quite a while, but I never bothered to actually package this for Fedora. So here it finally is.
Comment 1 Dan Horák 2008-07-28 02:25:02 EDT
OK	source files match upstream:
	    047dd4c748c6061fa107c1877affc0a34c0847b3  libasyncns-0.4.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in devel.
OK	pkgconfig files in devel.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED

you could remove --disable-rpath when calling %configure as it is not understood
...
configure: WARNING: Unrecognized options: --disable-rpath
...
Comment 2 Lennart Poettering 2008-07-28 07:32:33 EDT
New Package CVS Request
=======================
Package Name: libasyncns
Short Description: Asynchronous Name Service Library
Owners: lennart
Branches:
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-07-28 12:13:59 EDT
cvs done.
Comment 4 Dan Horák 2008-07-29 02:34:03 EDT
Lennart, you should close this "bug" after the package is imported and built.
Comment 5 Brian Pepple 2008-08-24 17:36:59 EDT
*** Bug 459896 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.